Author Topic: What version of Spider Monkey does Sparx 15.2 and 16.0 use?  (Read 373 times)

roates

  • EA User
  • **
  • Posts: 36
  • Karma: +0/-0
  • It is not that hard
    • View Profile
Hi.

Can anyone please confirm the version of Spider Monkey used by Sparx 15.2 and 16.0 as its JavaScript engine?

I recall seeing from searching in these forums that version 1.8 is used but would appreciate if anyone can confirm the actual versions.

cheers,

Russell


Eve

  • EA Administrator
  • EA Guru
  • *****
  • Posts: 7799
  • Karma: +106/-20
    • View Profile
Re: What version of Spider Monkey does Sparx 15.2 and 16.0 use?
« Reply #1 on: July 21, 2022, 11:22:27 am »
The best I can offer is:
Quote
Release Notes for 15.0 Build 1507
*********************************
...
Javascript engine updated
  Built-in javascript support updated to use the Mozilla Spidermonkey 63
Eve

support@sparxsystems.com

roates

  • EA User
  • **
  • Posts: 36
  • Karma: +0/-0
  • It is not that hard
    • View Profile
Re: What version of Spider Monkey does Sparx 15.2 and 16.0 use?
« Reply #2 on: July 21, 2022, 12:59:43 pm »
Thanks Eve. That's helpful.